/**
 * ActClassComposition.java
 *
 * File generated from the medication::ActClassComposition uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActClassComposition.
 *
 * 
 */

@XmlType(name = "ActClassComposition")
@XmlEnum
@XmlRootElement(name = "ActClassComposition")
public enum ActClassComposition {
	@XmlEnumValue("COMPOSITION")
	COMPOSITION("COMPOSITION"),
	@XmlEnumValue("DOC")
	DOC("DOC"),
	@XmlEnumValue("DOCCLIN")
	DOCCLIN("DOCCLIN"),
	@XmlEnumValue("CDALVLONE")
	CDALVLONE("CDALVLONE");
	
	private final String value;

    ActClassComposition(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ActClassComposition fromValue(String v) {
        for (ActClassComposition c: ActClassComposition.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}